﻿-- Daily Global Check - Legion World Quests plugin
-- Jadya EU-Well of Eternity

local Z = DailyGlobalCheck.Z

local questsdata = {}

local list = {
 ["Title"] = "Legion World Quests",
 ["Icon"]  = "Interface\\Icons\\Achievement_BG_ABshutout",
 ["Version"] = 1004,
 ["Order"] = {
              {
			   {Z[1015]},
			   {Z[1018]},
			   {Z[1033]},
			   {Z[1024]},
			   {Z[1017]},
			   --{Z[1014]},
			  },
             },
}

local function isquestcompleted(questID)
 return false, SecondsToTime(C_TaskQuest.GetQuestTimeLeftMinutes(questID) * 60)
end

local function GenerateData()
 -- temporary until 7.0
 if not C_TaskQuest.GetQuestTimeLeftMinutes then return end
 

 local tinsert = table.insert

 local l = DailyGlobalCheck.LocalizeSection
 
 local function showfunc(questID)
  -- looks like C_TaskQuest.IsActive doesn't return what I need
  return C_TaskQuest.GetQuestTimeLeftMinutes(questID) ~= 0
 end
 
 local function addQuest(o, z, questID)
  tinsert(list.Order[1][o], questID)
  questsdata[questID] = {Z[z],l(questsdata, questID, 2, questID, "quest", questID),nil,nil,nil,nil,nil,nil,showfunc,isquestcompleted}
 end

 addQuest(1, 1015, 42154)
 addQuest(1, 1015, 42021)
 addQuest(1, 1015, 42019)
 addQuest(1, 1015, 44049)
 addQuest(1, 1015, 42276)
 addQuest(1, 1015, 42027)

 addQuest(2, 1018, 41992)
 addQuest(2, 1018, 42080)
 addQuest(2, 1018, 42028)
 addQuest(2, 1018, 43332)
 
 addQuest(3, 1033, 43512)
 addQuest(3, 1033, 42071)
 addQuest(3, 1033, 44027)
 addQuest(3, 1033, 41523)
 addQuest(3, 1033, 44029)
 addQuest(3, 1033, 41572)
 addQuest(3, 1033, 42151)
 addQuest(3, 1033, 44016)
 addQuest(3, 1033, 41346)
 addQuest(3, 1033, 41557)
 addQuest(3, 1033, 42082)
 addQuest(3, 1033, 41493)
 addQuest(3, 1033, 42764)
 addQuest(3, 1033, 43943)
 
 addQuest(4, 1024, 40280)
 addQuest(4, 1024, 41145)
 addQuest(4, 1024, 41089)
 addQuest(4, 1024, 41013)
 addQuest(4, 1024, 41623)
 addQuest(4, 1024, 41696)
 addQuest(4, 1024, 41421)
 addQuest(4, 1024, 41206)
 addQuest(4, 1024, 41677)
 addQuest(4, 1024, 43248)
 addQuest(4, 1024, 41014)
 
 addQuest(5, 1017, 42004)
 addQuest(5, 1017, 41938)
 addQuest(5, 1017, 42757)
 addQuest(5, 1017, 41794)
 addQuest(5, 1017, 41460)
 addQuest(5, 1017, 43599)
 addQuest(5, 1017, 43964)
 addQuest(5, 1017, 42270)
 addQuest(5, 1017, 43452)
 addQuest(5, 1017, 41949)

 --addQuest(6, 1014, 41668)
end

list.GenerateData = GenerateData
DailyGlobalCheck:LoadPlugin(list, questsdata)

-- 42154, 42021, 42019, 44049, 42276, 42027 -- Azsuna
-- 41992, 42080, 42028, 43332               -- Val'sharah
-- 43512, 42071, 44027, 41523, 44029, 41572, 42151, 44016, 41346, 41557, 42082, 41493, 42764, 43943 -- Suramar
-- 40280, 41145, 41089, 41013, 41623, 41696, 41421, 41206, 41677, 43248, 41014 -- Highmountain
-- 42004, 41938, 42757, 41794, 41460, 43599, 43964, 42270, 43452, 41949 -- Stormheim
-- 41668 -- Dalaran?


--[[
C_TaskQuest.GetQuestsForPlayerByMapID
C_TaskQuest.GetQuestProgressBarInfo
C_TaskQuest.GetQuestTimeLeftMinutes
C_TaskQuest.GetDistanceSqToQuest
C_TaskQuest.GetQuestInfoByQuestID
C_TaskQuest.IsActive(questID) -- show func?
C_TaskQuest.GetQuestLocation
]]